Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
subasakun

Help về việc chia đoạn thẳng thành nhưng phàn bằng nhau

Các bài được khuyến nghị

subasakun    0

mình dùng lệnh measure chia thì ra nhưng số lượng ko giống sới số lượng mình muốn chia

bác nào bik làm ơn chỉ hộ mình với

Help Meeeeeeeeeeeeeeeeeeeeeeeeeeeee.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mũn xinh    638

Thì nó chia ra 10 phần cho bạn rồi còn jì.

Muốn tách rời từng đoạn thì vẽ 1 đường line có độ dài = độ dài jữa 2 điểm rồi copy thêm 9 lần.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

tôi dùng lệnh DIV sao no lại ra thế này vậy bác tâm

http://i.upanh.com/vpmvjy

Đúng rồi, nó là các điểm tham chiếu ảo thôi chứ không phải cắt ra thành 10 đoạn đâu bạn, còn nếu muốn thì bạn cắt thủ công bằng lệnh BR hoặc chuyên nghiệp hơn thì dùng lisp có trên diễn đàn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
bipmn2    0

:mellow: mình đọc mà ko biết bạn đang muốn gì. chia làm 10 phần thì dc rồi còn gì. bạn muốn chia làm 10 phần trên 1 đoạn thẳng hay 10 đoạn thẳng riêng biệt  :wacko:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
subasakun    0

ý của mình là chia ra 10 đoạn riêng biệt

VD: có 1 đoạn cho trước 1mét

chia ra 10 đoạn thì mỏi đoan là 10cm 

bác nào pro vui lòng giúp em phát :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

ý của mình là chia ra 10 đoạn riêng biệt

VD: có 1 đoạn cho trước 1mét

chia ra 10 đoạn thì mỏi đoan là 10cm 

bác nào pro vui lòng giúp em phát :D

 

Có rất nhiều cách làm! Cách của Hoằn là:

Nhấn đồng thời hai phím  A+ Ctrl , nhấn tiếp E rồi nhấn tiếp phím dấu cách...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Song Nhi    52

ý của mình là làm thế nào để nó cất ra thành 10 phần bằng nhau ấy

các pro làm ơn chỉ tôi với :D

 

cất = cắt đó phải không bạn?! Nếu đúng vậy, bạn dùng code sau nhé

(defun C:DVV( / dc dd dex dey dt enil ik layy mm nn oms pd1 pd2 xpd1 xpd2 ypd1 ypd2)
(setq oms (getvar "OSMODE")) (setvar "OSMODE" 0)
(setq DTT (car (entsel "\nVui long chon tuyen\n")))
(setq DT  (entget DTT))
(setq nn (getint "\nVui long nhap do khoang chia <10>\n"))
  (if (= nn nil) (setq nn 10))
(setq layy (cdr (assoc 8 enil))) (command "-layer" "s" layy "")
(setq DD  (cdr (assoc 10 DT)) DC  (cdr (assoc 11 DT)))
(setq dex (/ (- (car  DC) (car  DD)) nn)
      dey (/ (- (cadr DC) (cadr DD)) nn))
(setq ik 0) (while (<= ik (- nn 1))
(setq   xpd1 (+ (car  DD) (* ik dex))
	ypd1 (+ (cadr DD) (* ik dey))
	pd1  (list xpd1 ypd1)
	xpd2 (+ (car   DD) (* (+ ik 1) dex))
	ypd2 (+ (cadr  DD) (* (+ ik 1) dey))
	pd2  (list xpd2 ypd2))
(command "line" pd1 pd2 "") (princ) (setq ik (+ ik 1)))
(command "_.erase" DTT "") (setvar "OSMODE" oms) (princ))

Bạn test lại nhé, mình có chuyện phải đi, có j bạn nhắn lại, tối mình về sửa lại cho bạn nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×